com.trendmicro.ds.platform.rest.object.smartfolder

## Class ListSmartFoldersResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.ListSmartFoldersResponse

-     public class ListSmartFoldersResponse
      extends java.lang.Object

  Response object that gets returned from the ListSmartFolders API method.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListSmartFoldersResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSmartFolder(SmartFolderSummary smartFolder)` Add a smart folder.
    `java.util.List<SmartFolderSummary>` | `getSmartFolders()` Get the list of smart folders.
    `void` | `setSmartFolders(java.util.List<SmartFolderSummary> smartFolders)` Set the list of smart folders.
    `java.lang.String` | `toString()`
    `ListSmartFoldersResponse` | `withSmartFolders(java.util.List<SmartFolderSummary> smartFolders)` Set the list of smart folders.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListSmartFoldersResponse

          public ListSmartFoldersResponse()

  - ### Method Detail

    - #### getSmartFolders

          public java.util.List<SmartFolderSummary> getSmartFolders()

      Get the list of smart folders.
      Returns:
        the list of smart folders.

    - #### setSmartFolders

          public void setSmartFolders(java.util.List<SmartFolderSummary> smartFolders)

      Set the list of smart folders.
      Parameters:
        `smartFolders` - the list of smart folders.

    - #### withSmartFolders

          public ListSmartFoldersResponse withSmartFolders(java.util.List<SmartFolderSummary> smartFolders)

      Set the list of smart folders.
      Parameters:
        `smartFolders` - the list of smart folders.
      Returns:
        the updated ListSmartFoldersResponse

    - #### addSmartFolder

          public void addSmartFolder(SmartFolderSummary smartFolder)

      Add a smart folder.
      Parameters:
        `smartFolder` - the smart folder to add.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.